[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#507890: marked as done (perl-modules 5.8.8-7etch5 break ytnef-filter)

Your message dated Sat, 13 Feb 2010 11:24:22 +0100
with message-id <8b2d7b4d1002130224w606fbd22ob99861243df908ba@mail.gmail.com>
and subject line Package removed from Debian unstable
has caused the Debian Bug report #507890,
regarding perl-modules 5.8.8-7etch5 break ytnef-filter
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

507890: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507890
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: ytnef
Version: 2.6-1
Severity: normal

Recent update of perl-modules from 5.8.8-7etch3 to 5.8.8-7etch5 seems to
break ytnef-filter in many cases. 
A single, stray boundary line - as specified in the Content-Type header
field is appended to mail body and prevents Cyrus imap lmtpd from
successfully delivering those emails (after being filtered by

The following tnef relevant(?) lines in mail header and an one-line mail
body lines might be enough to trigger that behaviour:

 Content-class: urn:content-classes:message
 MIME-Version: 1.0
 Content-Type: multipart/alternative;
 X-MimeOLE: Produced By Microsoft Exchange V6.5

The result of ytnef-filtering is a mail with a single line


appended at the end, which is then rejected by exim/Cyrus lmtpd with a
"LMTP error after end of data: 554 5.6.0 Message contains invalid
header" error.

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.24
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

Versions of packages ytnef depends on:
ii  libc6                  2.3.6.ds1-13etch7 GNU C Library: Shared libraries
ii  libytnef0              1.5-1             improved decoder for application/m

Versions of packages ytnef recommends:
ii  libmailtools-perl             1.74-1     Manipulate email in perl programs
ii  libmime-perl                  5.420-0.1  Perl5 modules for MIME-compliant m

-- no debconf information

--- End Message ---
--- Begin Message ---
Version: 2.6-2+rm

Package removed from Debian unstable: http://bugs.debian.org/569355

Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi

--- End Message ---

Reply to: